Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_EventChannelFactory_i Class Reference

`#include <Notify_EventChannelFactory_i.h>`

Inheritance diagram for TAO_Notify_EventChannelFactory_i:

[legend]
Collaboration diagram for TAO_Notify_EventChannelFactory_i:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Notify_EventChannelFactory_i (void)
CosNotifyChannelAdmin::EventChannelFactory_ptr | get_ref (ACE_ENV_SINGLE_ARG_DECL)
void | shutdown (ACE_ENV_SINGLE_ARG_DECL, CORBA::Boolean destroy_children=0)
void | event_channel_destroyed (CosNotifyChannelAdmin::ChannelID channel_id)
CosNotifyFilter::FilterFactory_ptr | get_default_filter_factory (void)
virtual CosNotifyChannelAdmin::EventChannel_ptr | create_channel (const CosNotification::QoSProperties &initial_qos, const CosNotification::AdminProperties &initial_admin, CosNotifyChannelAdmin::ChannelID_out id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS, CosNotification::UnsupportedAdmin )
virtual CosNotifyChannelAdmin::ChannelIDSeq * | get_all_channels (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::EventChannel_ptr | get_event_channel (CosNotifyChannelAdmin::ChannelID id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::ChannelNotFound )
## Static Public Methods
CosNotifyChannelAdmin::EventChannelFactory_ptr | create (PortableServer::POA_ptr default_POA ACE_ENV_ARG_DECL)
## Protected Methods
| TAO_Notify_EventChannelFactory_i (void)
void | init_i (PortableServer::POA_ptr default_POA ACE_ENV_ARG_DECL)
CosNotifyFilter::FilterFactory_ptr | create_default_filter_factory_i (ACE_ENV_SINGLE_ARG_DECL)
## Protected Attributes
TAO_Notify_CO_Factory * | channel_objects_factory_
TAO_Notify_POA_Factory * | poa_factory_
PortableServer::POA_var | my_POA_
PortableServer::POA_var | ec_POA_
TAO_Notify_ID_Pool_Ex< CosNotifyChannelAdmin::ChannelID, CosNotifyChannelAdmin::ChannelIDSeq > | ec_ids_
ACE_Lock * | lock_
CosNotifyFilter::FilterFactory_var | default_filter_factory_

## Constructor & Destructor Documentation

TAO_Notify_EventChannelFactory_i::~TAO_Notify_EventChannelFactory_i | ( | void |  | ) | `[virtual]`

TAO_Notify_EventChannelFactory_i::TAO_Notify_EventChannelFactory_i | ( | void |  | ) | `[protected]`

## Member Function Documentation

CosNotifyChannelAdmin::EventChannelFactory_ptr TAO_Notify_EventChannelFactory_i::create | ( | PortableServer::POA_ptr default_POA | ACE_ENV_ARG_DECL | ) | `[static]`

virtual CosNotifyChannelAdmin::EventChannel_ptr TAO_Notify_EventChannelFactory_i::create_channel | ( | const CosNotification::QoSProperties & | initial_qos,
|  | const CosNotification::AdminProperties & | initial_admin,
|  | CosNotifyChannelAdmin::ChannelID_out id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS, CosNotification::UnsupportedAdmin )`[virtual]`

CosNotifyFilter::FilterFactory_ptr TAO_Notify_EventChannelFactory_i::create_default_filter_factory_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

void TAO_Notify_EventChannelFactory_i::event_channel_destroyed | ( | CosNotifyChannelAdmin::ChannelID | channel_id | ) |

CosNotifyChannelAdmin::ChannelIDSeq * TAO_Notify_EventChannelFactory_i::get_all_channels | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::FilterFactory_ptr TAO_Notify_EventChannelFactory_i::get_default_filter_factory | ( | void |  | ) |

CosNotifyChannelAdmin::EventChannel_ptr TAO_Notify_EventChannelFactory_i::get_event_channel | ( | CosNotifyChannelAdmin::ChannelID id | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::ChannelNotFound )`[virtual]`

CosNotifyChannelAdmin::EventChannelFactory_ptr TAO_Notify_EventChannelFactory_i::get_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

void TAO_Notify_EventChannelFactory_i::init_i | ( | PortableServer::POA_ptr default_POA | ACE_ENV_ARG_DECL | ) | `[protected]`

void TAO_Notify_EventChannelFactory_i::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL | ,
|  | CORBA::Boolean | destroy_children = 0
| ) |

## Member Data Documentation

TAO_Notify_CO_Factory* TAO_Notify_EventChannelFactory_i::channel_objects_factory_`[protected]`

CosNotifyFilter::FilterFactory_var TAO_Notify_EventChannelFactory_i::default_filter_factory_`[protected]`

TAO_Notify_ID_Pool_Ex<CosNotifyChannelAdmin::ChannelID, CosNotifyChannelAdmin::ChannelIDSeq> TAO_Notify_EventChannelFactory_i::ec_ids_`[protected]`

PortableServer::POA_var TAO_Notify_EventChannelFactory_i::ec_POA_`[protected]`

ACE_Lock* TAO_Notify_EventChannelFactory_i::lock_`[protected]`

PortableServer::POA_var TAO_Notify_EventChannelFactory_i::my_POA_`[protected]`

TAO_Notify_POA_Factory* TAO_Notify_EventChannelFactory_i::poa_factory_`[protected]`

The documentation for this class was generated from the following files:

- Notify_EventChannelFactory_i.h
- Notify_EventChannelFactory_i.cpp